Hardware information
Public interface » ID macros

Some hardware doesn't fit into the hd_t scheme or there is info we gathered during the scan process but that no-one really cares about. More...

## Data Structures

struct | s_pci_t
| structure holding the (raw) PCI data More...
struct | usb_s
| raw USB data More...
struct | isapnp_res_t
| ISA-PnP resource. More...
struct | isapnp_card_t
| ISA-PnP card information (raw). More...
struct | isapnp_t
| ISA-PnP collected card information struct. More...
struct | isapnp_dev_t
| ISA-PnP device information struct. More...
struct | scsi_s
| raw SCSI data More...
struct | devtree_s
| PROM tree on PPC. More...
struct | pmac_mb_def
| PowerMac model matching. More...
struct | ccw_s
| Device/CU model numbers for S/390. More...
struct | joystick_s
| Joystick details. More...
struct | cdrom_info_s
| special CDROM entry More...
struct | floppy_info_t
| Floppy information note: obsolete, will be removed. More...
struct | bios_info_t
| bios data (ix86) More...
struct | prom_info_t
| prom data (ppc, sparc) More...
struct | sys_info_t
| general system data More...
struct | monitor_info_t
| monitor (DDC) data More...
struct | cpu_info_t
| special cpu entry More...
struct | edd_info_t
| enhanced disk data (cf. More...

## Typedefs

typedef struct s_pci_t | pci_t
| structure holding the (raw) PCI data
typedef enum pci_flags | hd_pci_flags_t
| pci related flags cf.
typedef struct usb_s | usb_t
| raw USB data
typedef enum isapnp_flags | hd_isapnp_flags_t
| ISA-PnP related flags cf.
typedef struct scsi_s | scsi_t
| raw SCSI data
typedef struct devtree_s | devtree_t
| PROM tree on PPC.
typedef struct ccw_s | ccw_t
| Device/CU model numbers for S/390.
typedef struct joystick_s | joystick_t
| Joystick details.
typedef struct cdrom_info_s | cdrom_info_t
| special CDROM entry

## Enumerations

enum | pci_flags { pci_flag_ok , pci_flag_pm , pci_flag_agp }
| pci related flags cf. More...
enum | isapnp_flags { isapnp_flag_act }
| ISA-PnP related flags cf. More...

enum

pmac_model {
AAPL_3400 , AAPL_3500 , AAPL_7200 , AAPL_7300 ,
AAPL_7500 , AAPL_8500 , AAPL_9500 , AAPL_Gossamer ,
AAPL_PowerBook1998 , AAPL_PowerMac_G3 , AAPL_ShinerESB , AAPL_e407 ,
AAPL_e411 , PowerBook1_1 , PowerBook2_1 , PowerBook2_2 ,
PowerBook3_1 , PowerBook3_2 , PowerBook3_3 , PowerBook3_4 ,
PowerBook3_5 , PowerBook4_1 , PowerBook4_2 , PowerBook4_3 ,
PowerBook5_1 , PowerBook5_2 , PowerBook5_3 , PowerBook5_4 ,
PowerBook5_5 , PowerBook5_6 , PowerBook5_7 , PowerBook5_8 ,
PowerBook5_9 , PowerBook6_1 , PowerBook6_2 , PowerBook6_3 ,
PowerBook6_4 , PowerBook6_5 , PowerBook6_7 , PowerBook6_8 ,
PowerMac1_1 , PowerMac1_2 , PowerMac10_1 , PowerMac11_2 ,
PowerMac12_1 , PowerMac2_1 , PowerMac2_2 , PowerMac3_1 ,
PowerMac3_2 , PowerMac3_3 , PowerMac3_4 , PowerMac3_5 ,
PowerMac3_6 , PowerMac4_1 , PowerMac4_2 , PowerMac4_4 ,
PowerMac5_1 , PowerMac6_1 , PowerMac6_3 , PowerMac6_4 ,
PowerMac7_2 , PowerMac7_3 , PowerMac8_1 , PowerMac9_1 ,
RackMac1_1 , RackMac1_2 , RackMac3_1 , iMac_1
}

enum | hd_detail_type { hd_detail_pci , hd_detail_usb , hd_detail_isapnp , hd_detail_cdrom , hd_detail_floppy , hd_detail_bios , hd_detail_cpu , hd_detail_prom , hd_detail_monitor , hd_detail_sys , hd_detail_scsi , hd_detail_devtree , hd_detail_ccw , hd_detail_joystick }
| Hardware detail information type. More...
typedef enum hd_detail_type | hd_detail_type_t
| Hardware detail information type.
typedef struct hd_detail_monitor_s | hd_detail_monitor_t

## Detailed Description

Some hardware doesn't fit into the hd_t scheme or there is info we gathered during the scan process but that no-one really cares about.

Such stuff is stored in hd_detail_t.

## Typedef Documentation

## ccw_t

typedef struct ccw_s ccw_t

Device/CU model numbers for S/390.

## cdrom_info_t

typedef struct cdrom_info_s cdrom_info_t

special CDROM entry

## devtree_t

typedef struct devtree_s devtree_t

PROM tree on PPC.

## hd_detail_monitor_t

typedef struct hd_detail_monitor_s hd_detail_monitor_t

## hd_detail_type_t

typedef enum hd_detail_type hd_detail_type_t

Hardware detail information type.

## hd_isapnp_flags_t

typedef enum isapnp_flags hd_isapnp_flags_t

ISA-PnP related flags cf.

(isapnp_dev_t).flags

## hd_pci_flags_t

typedef enum pci_flags hd_pci_flags_t

pci related flags cf.

(pci_t).flags

## joystick_t

typedef struct joystick_s joystick_t

Joystick details.

## pci_t

typedef struct s_pci_t pci_t

structure holding the (raw) PCI data

## scsi_t

typedef struct scsi_s scsi_t

raw SCSI data

## usb_t

typedef struct usb_s usb_t

raw USB data

See also
  Linux USB docs

## Enumeration Type Documentation

## hd_detail_type

enum hd_detail_type

Hardware detail information type.

Enumerator
hd_detail_pci |
hd_detail_usb |
hd_detail_isapnp |
hd_detail_cdrom |
hd_detail_floppy |
hd_detail_bios |
hd_detail_cpu |
hd_detail_prom |
hd_detail_monitor |
hd_detail_sys |
hd_detail_scsi |
hd_detail_devtree |
hd_detail_ccw |
hd_detail_joystick |

## isapnp_flags

enum isapnp_flags

ISA-PnP related flags cf.

(isapnp_dev_t).flags

Enumerator
isapnp_flag_act |

## pci_flags

enum pci_flags

pci related flags cf.

(pci_t).flags

Enumerator
pci_flag_ok |
pci_flag_pm |
pci_flag_agp |

## pmac_model

enum pmac_model

Enumerator
AAPL_3400 |
AAPL_3500 |
AAPL_7200 |
AAPL_7300 |
AAPL_7500 |
AAPL_8500 |
AAPL_9500 |
AAPL_Gossamer |
AAPL_PowerBook1998 |
AAPL_PowerMac_G3 |
AAPL_ShinerESB |
AAPL_e407 |
AAPL_e411 |
PowerBook1_1 |
PowerBook2_1 |
PowerBook2_2 |
PowerBook3_1 |
PowerBook3_2 |
PowerBook3_3 |
PowerBook3_4 |
PowerBook3_5 |
PowerBook4_1 |
PowerBook4_2 |
PowerBook4_3 |
PowerBook5_1 |
PowerBook5_2 |
PowerBook5_3 |
PowerBook5_4 |
PowerBook5_5 |
PowerBook5_6 |
PowerBook5_7 |
PowerBook5_8 |
PowerBook5_9 |
PowerBook6_1 |
PowerBook6_2 |
PowerBook6_3 |
PowerBook6_4 |
PowerBook6_5 |
PowerBook6_7 |
PowerBook6_8 |
PowerMac1_1 |
PowerMac1_2 |
PowerMac10_1 |
PowerMac11_2 |
PowerMac12_1 |
PowerMac2_1 |
PowerMac2_2 |
PowerMac3_1 |
PowerMac3_2 |
PowerMac3_3 |
PowerMac3_4 |
PowerMac3_5 |
PowerMac3_6 |
PowerMac4_1 |
PowerMac4_2 |
PowerMac4_4 |
PowerMac5_1 |
PowerMac6_1 |
PowerMac6_3 |
PowerMac6_4 |
PowerMac7_2 |
PowerMac7_3 |
PowerMac8_1 |
PowerMac9_1 |
RackMac1_1 |
RackMac1_2 |
RackMac3_1 |
iMac_1 |